Skip to main content
GET
List transactions

Authorizations

apiKey
string
header
required

Your OFAuth API key for authenticating requests.

x-connection-id
string
header
required

Requires a connection via the x-connection-id header.

Query Parameters

limit
integer
default:10

Number of transactions to return (1-100, default: 10)

Required range: 1 <= x <= 100
startDate
string | null

Start date for transactions

cursor
string | null

Pagination cursor from previous response

type
enum<string>

Transaction type filter

Available options:
subscribes,
chat_messages,
post,
stream,
tips
tipsSource
enum<string>

Tips source filter (when type=tips)

Available options:
chat,
post_all,
profile,
story,
stream

Response

Successful response

list
object[]
required
hasMore
boolean
required
nextCursor
string | null
required